Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IConfig

    java.lang.Object
      igeo.IConfig

    public class IConfig

extends java.lang.Object

An interface to contain static constants used in the whole iGeo system.

Field Summary
`static double` | `angleTolerance` A parameter to check identical direction in angle.
`static boolean` | `checkDuplicatedControlPoint` when NURBS geometry is created at a constructor, if any control points share a same instance, another instance is created with dup().
`static boolean` | `checkDuplicatedControlPointOnEdge` when NURBS geometry is created at a constructor, if control points on edges share a same instance, another instance is created with dup().
`static boolean` | `checkValidControlPoint` when NURBS geometry is created at a constructor, checking validity (not infinite nor NaN) of numbers if this is true.
`static int` | `curveGraphicResolution` Point resolution per edit points to draw curves in graphic classes.
`static double` | `keyAxonometricPanSpeed` Speed of panning in keyboard (arrow keys in default) 3D navigation in axonometric view in INavigator class.
`static double` | `keyPerspectivePanSpeed` Speed of panning in keyboard (arrow keys in default) 3D navigation in perspective view in INavigator class.
`static double` | `keyPerspectiveZoomSpeed` Speed of zooming in keyboard (arrow keys in default) 3D navigation in perspective view in INavigator class.
`static double` | `keyRotationSpeed` Speed of rotation in keyboard (arrow keys in default) 3D navigation in INavigator class.
`static double` | `keyZoomSpeed` Speed of zooming in keyboard (arrow keys in default) 3D navigation in axonometric view in INavigator class.
`static double` | `minimumBoundingBox` Minimum size to create bounding box and to zoom into.
`static double` | `mouseAxonometricPanSpeed` Speed of panning in mouse 3D navigation in axonometric view in INavigator class.
`static double` | `mouseAxonometricZoomSpeed` Speed of zooming in mouse 3D navigation in axonometric view in INavigator class.
`static double` | `mousePerspectivePanSpeed` Speed of panning in mouse 3D navigation in perspective view in INavigator class.
`static double` | `mousePerspectiveZoomSpeed` Speed of zooming in mouse 3D navigation in perspective view in INavigator class.
`static double` | `mouseRotationSpeed` Speed of rotation in mouse 3D navigation in INavigator class.
`static double` | `mouseWheelZoomSpeed` Speed of zooming in mouse 3D navigation in both axonometric and perspective view in INavigator class.
`static double` | `parameterTolerance` A parameter to check identical location in U-V parametric space in NURBS geometry.
`static int` | `surfaceIsoparmResolution` Number of isoperms to draw surfaces in graphic classes.
`static int` | `surfaceTrimEdgeResolution` Point resolution per the isoparm segment to draw trim curves of surfaces.
`static int` | `surfaceWireframeResolution` Point resolution per the isoparm segment to draw wireframe curves of surfaces.
`static double` | `tolerance` A parameter to check identical location.
`static double` | `updateRate` update speed of dynamics thread in seccond

Constructor Summary
`IConfig()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tolerance

    public static double tolerance

  A parameter to check identical location. Length below this is ignored and seen as zero. Length is measured in whatever unit of the file

### parameterTolerance

    public static double parameterTolerance

  A parameter to check identical location in U-V parametric space in NURBS geometry. Length below this is ignored and seen as zero. Range of U-V parameter space should be always 0.0-1.0.

### angleTolerance

    public static double angleTolerance

  A parameter to check identical direction in angle. Angle difference below this is ignored and seen as zero. The unit is radian.

### curveGraphicResolution

    public static int curveGraphicResolution

  Point resolution per edit points to draw curves in graphic classes.

### surfaceIsoparmResolution

    public static int surfaceIsoparmResolution

  Number of isoperms to draw surfaces in graphic classes.

### surfaceWireframeResolution

    public static int surfaceWireframeResolution

  Point resolution per the isoparm segment to draw wireframe curves of surfaces.

### surfaceTrimEdgeResolution

    public static int surfaceTrimEdgeResolution

  Point resolution per the isoparm segment to draw trim curves of surfaces.

### updateRate

    public static double updateRate

  update speed of dynamics thread in seccond

### mouseRotationSpeed

    public static double mouseRotationSpeed

  Speed of rotation in mouse 3D navigation in INavigator class. The unit is degree of the angle per pixel of the mouse move.

### mousePerspectivePanSpeed

    public static double mousePerspectivePanSpeed

  Speed of panning in mouse 3D navigation in perspective view in INavigator class. The unit is unit of length in 3D space per pixel of the mouse move.

### mouseAxonometricPanSpeed

    public static double mouseAxonometricPanSpeed

  Speed of panning in mouse 3D navigation in axonometric view in INavigator class. The unit is ratio of corresponding length per pixel in axonometric view.

### mousePerspectiveZoomSpeed

    public static double mousePerspectiveZoomSpeed

  Speed of zooming in mouse 3D navigation in perspective view in INavigator class. The unit is distance of front/back view move per pixel of the mouse move.

### mouseAxonometricZoomSpeed

    public static double mouseAxonometricZoomSpeed

  Speed of zooming in mouse 3D navigation in axonometric view in INavigator class. The unit is increment/decrement of percentage per pixel of the mouse move.

### mouseWheelZoomSpeed

    public static double mouseWheelZoomSpeed

  Speed of zooming in mouse 3D navigation in both axonometric and perspective view in INavigator class. The unit is equivalent pixel move of mouse per a increment/decrement of the wheel.

### keyRotationSpeed

    public static double keyRotationSpeed

  Speed of rotation in keyboard (arrow keys in default) 3D navigation in INavigator class. The unit is degree of the angle per one key press.

### keyPerspectivePanSpeed

    public static double keyPerspectivePanSpeed

  Speed of panning in keyboard (arrow keys in default) 3D navigation in perspective view in INavigator class. The unit is unit of length in 3D space per one key press.

### keyAxonometricPanSpeed

    public static double keyAxonometricPanSpeed

  Speed of panning in keyboard (arrow keys in default) 3D navigation in axonometric view in INavigator class. The unit is ratio of corresponding length per one key press in axonometric view.

### keyPerspectiveZoomSpeed

    public static double keyPerspectiveZoomSpeed

  Speed of zooming in keyboard (arrow keys in default) 3D navigation in perspective view in INavigator class. The unit is distance of front/back view move per one key press of the mouse move.

### keyZoomSpeed

    public static double keyZoomSpeed

  Speed of zooming in keyboard (arrow keys in default) 3D navigation in axonometric view in INavigator class. The unit is equivalent pixel move of mouse per one key press.

### minimumBoundingBox

    public static double minimumBoundingBox

  Minimum size to create bounding box and to zoom into.

### checkDuplicatedControlPointOnEdge

    public static boolean checkDuplicatedControlPointOnEdge

  when NURBS geometry is created at a constructor, if control points on edges share a same instance, another instance is created with dup(). This can be overridden by checkDuplicatedControlPoint. Duplicate is avoided to apply tranfromation to all the control points equally.

### checkDuplicatedControlPoint

    public static boolean checkDuplicatedControlPoint

  when NURBS geometry is created at a constructor, if any control points share a same instance, another instance is created with dup(). Duplicate is avoided to apply tranfromation to all the control points equally.

### checkValidControlPoint

    public static boolean checkValidControlPoint

  when NURBS geometry is created at a constructor, checking validity (not infinite nor NaN) of numbers if this is true.

Constructor Detail

### IConfig

    public IConfig()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD